Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 273056 - app-portage/portpeek - all versions including latest ~M masked 1.8.0 fails on =cat/pkg atoms
Summary: app-portage/portpeek - all versions including latest ~M masked 1.8.0 fails on...
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mike Pagano
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-07 15:07 UTC by J M W
Modified: 2009-10-09 22:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
/etc/portage/package.keywords (package.keywords,6.36 KB, text/plain)
2009-06-07 17:40 UTC, J M W
Details
Patch to give more debugging information (portpeek.patch,736 bytes, patch)
2009-06-10 19:31 UTC, Mike Pagano
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J M W 2009-06-07 15:07:30 UTC
portpeek -k produces many lines of the form:

!!! Portpeek caught Exception: '=x11-libs/libxkbfile-1.0.5'
!!! This package/version seems to be no longer available, please check and update/unmerge it

I haven't checked every one, but so far each one I've checked seems to be inaccurate. In some cases the package version mentioned is actually the latest one in portage. Here is the full output:

ProximaCentauri ~ # portpeek -k

package.keywords:
!!! Portpeek caught Exception: '=sys-devel/gcc-4.3.2-r4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=sys-libs/glibc-2.8_p20080602-r1'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=app-portage/portpeek-1.8.0'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=app-admin/python-updater-0.6-r1'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=app-text/aspell-0.60.6'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/qt-4.4.2'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=dev-util/intltool-0.40.5'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=dev-util/gtk-doc-1.11'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=dev-util/gtk-doc-am-1.11'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=dev-util/telepathy-inspector-0.5.3'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=www-client/mozilla-firefox-3.0.8'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=www-client/midori-9999'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=dev-python/gst-python-0.10.15-r1'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=gnome-extra/kiba-dock-9999'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-proto/printproto-1.0.4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-proto/renderproto-0.9.3'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-base/xorg-server-1.5.3-r6'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-apps/xauth-1.0.3'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libXrender-0.9.4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libXau-1.0.4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/xtrans-1.2.3'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-apps/rgb-1.0.3'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-proto/renderproto-0.9.3'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-drivers/xf86-input-keyboard-1.3.1'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-drivers/xf86-video-ati-6.12.2'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-drivers/xf86-input-mouse-1.3.0'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-base/xorg-x11-7.4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libXft-2.1.13'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libXvMC-1.0.4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libFS-1.0.1'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libXinerama-1.0.3'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libXScrnSaver-1.1.3'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libXv-1.0.4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libXfontcache-1.0.4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libSM-1.1.0'
!!! This package/version seems to be no longer available, please check and update/unmerge it
!!! Portpeek caught Exception: '=x11-libs/libxkbfile-1.0.5'
!!! This package/version seems to be no longer available, please check and update/unmerge it
Done

I haven't seen any other bug reports about this, so presumably other people are not getting these inaccurate messages. I'm running the latest python 2.6.2 and I've just finished running python-updater.

Reproducible: Always

Steps to Reproduce:
1.portpeek -k
2.
3.

Actual Results:  
Got inaccurate output.

Expected Results:  
Produced the correct results.

ProximaCentauri ~ # emerge --info
Portage 2.2_rc33 (default/linux/x86/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r1, 2.6.27-gentoo-r7 i686)
=================================================================
System uname: Linux-2.6.27-gentoo-r7-i686-Intel-R-_Pentium-R _4_Mobile_CPU_1.60GHz-with-gentoo-1.12.11.1
Timestamp of tree: Fri, 05 Jun 2009 12:30:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r13, 2.5.4-r2, 2.6.2
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -Os -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/  etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=pentium4 -Os -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub linux/distributions/gentoo"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_GB en_US"
MAKEOPTS=""
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times - compress --force --whole-file --delete --stats --timeout=180 --exclude= distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/pro-audio /usr/portage/local layman/zugaina /usr/portage/local/layman/desktop-effects /usr/portage/local layman/lxde /usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="16bit X X509 Xaw3d a52 aac aalib ace acl acpi ads afterimage aim aio alsa amr amrnb amrwb amuled ao apm applet ar ares asf aspell async audacious audiofile autoipd avahi background bash-completion bdf be berkdb bidi bittorrent blender-game bluetooth bookmarks branding brnet browserplugin bugzilla bzip2 cairo caps cdda cddb cdf cdio cdr cgi cgraph ch chardet chm cjk cleartype cli compress context cpio cracklib crypt cscope css ctype cups curl curlwrappers cyrillic dba dbus deskbar detex devhelp dga dia dirac directfb djvu dk doc dri dts dtvla dv dvd dvdr dvdread dvi2tty dvipdfm ecc editor eds ee emboss encode epiphany epydoc es es_laguiatv escreen esd ethereal etwin eu_epg evo examples exif expat extra extra-cardsets faac faad fam fastbuild fastcgi fbcon ffmpeg fi finger firefox flac fluidsynth font-server fontforge force-cgi-redirect fortran fpx fr freemail ftp fusion galago games gcdmaster gcrypt gd gdbm ggi gif git glade glep glut glx gmp gnome gnome-keyring gnome-print gnomecd gnutls gopher gpg gpgme gphoto2 gpm grammar graphics graphviz gsf gsm gstreamer gtk gtkhtml hal hddtemp hdf howl-compat hpn hr htmlhandbook humanities huro hyperestraier iceweasel iconv icu idea idle idn ieee1394 ilbc imagemagick imap imlib immqt-bc inherit-graph injection inkjar inotify iplsrc ipv6 isdnlog it jabber jadetex jai java javascript jbig jce jikes jingle jmf jp jpeg jpeg2k jrtplib kde kerberos kpathsea ladspa lapack laptop lasi latex latex3 lcms ldap libcaca libedit libffi libgcrypt libgda libnotify libssh2 loop-aes loudmouth lua lyx lzo mad maps math mbox md5sum mdnsresponder compat mecab memcache memlimit midi mikmod mmap mmx mng modplug mono moonlight motif mozcalendar mozdevelop mozdom mozilla moznopango mozsvg mozxmlterm mp2 mp3 mpeg mplayer msn mudflap musepack music mysql na_dd na_dtv na_icons nc ncurses neXt nemesi netcdf network networkmanager new login nl nl_wolf nls nntp no no_gf nodrm nptl nptlonly nsplugin nss ntp oav objc objc++ objc-gc odbc offensive ogg omega openexr opengl openmp ortp ots pam pcmcia pcre pdf perl php player plotutils png pnm pop portaudio posix postscript povray ppds pppd profile pstricks pt publishers python qdbm qt3 qt3support qt4 quicktime radio rar re readline redland reflection rle rpm rrdcgi rrdtool rss sasl schroedinger science script sdl se_swedb sensord session sid simplexml skey slang slp smi smime smtp sndfile soap sockets socks5 sofia-sip soundex sourceview speex spell spl srp srt srv sse sse2 ssl startup-notification subversion svg swat sysfs syslog szip t1lib tcl tcltk tcpd tex4ht theora thesaurus threads threadsafe thunderbird tiff timidity tk tokenizer tordns tracker trayicon truetype tta tv_check tv_combiner tv_pick_cgi uk_bleb uk_rt unicode usb utils uuencode v4l v4l2 vala valgrind vcd verse video vidix vim vim-pager vim-syntax vim-with-x vorbis wavpack webkit wifi win32codecs wma wmf wordperfect x264 x86 xcb xcomposite xetex xgetdefault xindy xine xml xml2 xmldoclet xorg xpm xprint xsl xslt xulrunner xv xvid xvmc yahoo za zeroconf zip zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="access auth auth_dbm auth_anon auth_digest alias file-cache echo charset-lite cache disk-cache mem-cache ext-filter case_filter case-filter-in deflate mime magic cern-meta expires headers usertrack unique-id proxy proxy-connect proxy-ftp proxy-http info include cgi cgid dav dav-fs vhost-alias speling rewrite log_config logio env setenvif mime status autoindex asis negotiation dir imap actions userdir so" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB en_US" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Mike Auty gentoo-dev 2009-06-07 15:35:11 UTC
Could you please attach a copy of your package.keywords file?
Comment 2 J M W 2009-06-07 17:40:35 UTC
Created attachment 193825 [details]
/etc/portage/package.keywords

/etc/portage/package.keywords file
Comment 3 Mike Auty gentoo-dev 2009-06-07 18:28:43 UTC
It seems it's only on specific atoms...
Comment 4 Mike Pagano gentoo-dev 2009-06-08 16:31:51 UTC
That same file shows no exceptions at all for me.

Can you backup that file and then delete it. 

And just make a brand new package.keywords containing only one of those entries and if you still get an error can you post the output of portpeek -kd

Comment 5 J M W 2009-06-09 09:16:54 UTC
Here it is: 

ProximaCentauri portage # portpeek -kd

package.keywords:
!!! Portpeek caught Exception: '=sys-devel/gcc-4.3.2-r4'
!!! This package/version seems to be no longer available, please check and update/unmerge it
Done

And note that I get the same output whether the entry in
/etc/portage/package.keywords is =sys-devel/gcc-4.3.2-r4 ~x86 or
=sys-devel/gcc-4.3.2* ~x86. There must be something different with
my setup that's making portpeek choke. Please let me know if you need any 
more specific configuration information from me. 
Comment 6 Mike Pagano gentoo-dev 2009-06-10 19:31:41 UTC
Created attachment 194191 [details, diff]
Patch to give more debugging information

Can you patch your portpeek by going to the directory where portpeek is and running:

patch -p1 < /location/portpeek.patch

Then run the same command and attach the output.
Comment 7 J M W 2009-06-11 03:37:12 UTC
Here's what I got:

ProximaCentauri portage # portpeek -kd

package.keywords:
!!! aux_get(): ebuild path for '=sys-devel/gcc-4.3.2-r4' not specified:
!!!            None
!!! Portpeek caught Exception: '=sys-devel/gcc-4.3.2-r4'
!!! This package/version seems to be no longer available, please check 
and update/unmerge it
Done

Comment 8 Mike Pagano gentoo-dev 2009-06-11 19:47:20 UTC
(In reply to comment #7)

> !!! aux_get(): ebuild path for '=sys-devel/gcc-4.3.2-r4' not specified:

From Zac:

(12:19) <   zmedico> mpagano_: that means the ebuild either doesn't exist or access(R_OK) returned false
Comment 9 J M W 2009-07-11 21:48:23 UTC
The ebuild *does* exist, and there is no reason I can see (although I'm 
not an expert) that access(R_OK) would return false. I can view the 
ebuild with less, even on an unprivileged account. Can you think of 
any way I could help you to find the problem? It seems like my machine 
is the only one affected.

Comment 10 Mike Pagano gentoo-dev 2009-10-09 22:16:09 UTC
Not sure what else we can do here.